package com.example.depanntout

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.widget.Button
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.depanntout.bdd.ClientDAO
import com.example.depanntout.bdd.CreateBdDepannTout
import com.example.depanntout.bdd.DAO

data class Client(
    val idClient: Int,
    val fistname: String,
    val lastname: String,
    val email: String,
    val tel: String,
    val adresse: String
)

class ListeClients : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContentView(R.layout.activity_liste_clients)
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main)) { v, insets ->
            val systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom)
            insets
        }

        val buttonQuit = findViewById<Button>(R.id.btnQuit)
        buttonQuit.setOnClickListener() {
            finish()
        }

        val buttonAdd = findViewById<Button>(R.id.btnAdd)
        buttonAdd.setOnClickListener() {
            val intent = Intent(this, createClient::class.java)
            startActivity(intent)
        }

        val recyclerView = findViewById<RecyclerView>(R.id.recyclerView)
        recyclerView.layoutManager = LinearLayoutManager(this)

        val createBdDepannTout: CreateBdDepannTout = CreateBdDepannTout(this)
        val dao: DAO = DAO(this, createBdDepannTout)
        val clientDAO : ClientDAO = ClientDAO(dao)
        val clients: List<Client> = clientDAO.getClients()

        Log.d("bdd", clients.toString())

        val adapter = clientAdapter(clients, this)
        recyclerView.adapter = adapter
    }
}